#include <bits/stdc++.h>

using namespace std;
void razmeni(int *a,int *b)
{
    int t=*a;
    *a=*b;
    *b=t;
}
int a[1000002];
int main()
{
    int n,l=0,j=-1;
    scanf("%d%d",&n,&a[0]);
    for(int i=1;i<n;i++)
    {
        scanf("%d",&a[i]);
        if(l==0&a[i]>a[i-1]) {j=i;l=1;}
        else if(l==1&&a[i]>a[j]) j=i;
    }
    if(j==-1) razmeni(&a[0],&a[1]);
    else
    {
        for(int i=0;i<n;i++)
        {
            if(a[i]<a[j]) {razmeni(&a[i],&a[j]); break;}
        }
    }
    for(int i=0;i<n;i++)
    {
        printf("%d ",a[i]);
    }

    return 0;
}